Bug 825991 - [abrt] control-center-3.4.1-1.fc17: disconnect_callback: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
[abrt] control-center-3.4.1-1.fc17: disconnect_callback: Process /usr/bin/gno...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
abrt_hash:b38511859ce7041471b56c83039...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 05:30 EDT by Stefan Hellermann
Modified: 2013-07-31 18:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:19:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.90 KB, text/plain)
2012-05-29 05:30 EDT, Stefan Hellermann
no flags Details
File: maps (90.85 KB, text/plain)
2012-05-29 05:30 EDT, Stefan Hellermann
no flags Details
File: dso_list (20.05 KB, text/plain)
2012-05-29 05:30 EDT, Stefan Hellermann
no flags Details
File: build_ids (7.93 KB, text/plain)
2012-05-29 05:30 EDT, Stefan Hellermann
no flags Details

  None (edit)
Description Stefan Hellermann 2012-05-29 05:30:32 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-control-center bluetooth
crash_function: disconnect_callback
executable:     /usr/bin/gnome-control-center
kernel:         3.3.7-1.fc17.x86_64
pid:            5979
time:           Di 29 Mai 2012 11:11:52 CEST
uid:            5000
username:       stefan

backtrace:      Text file, 35736 bytes
build_ids:      Text file, 8118 bytes
dso_list:       Text file, 20533 bytes
maps:           Text file, 93035 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/stefan/2

comment:
:I'm trying to connect Fedora 17 to my Bluetooth Headset (A2DP)
:
:1. Open Bluetooth Settings
:2. Select Bluetooth Headset (already configured)
:3. Move Connection Slider to On
:=> crash

core_backtrace:
:85aa55a874ef9891243f9339385bb36eab4e2cda 0xb810 - libgnome-bluetooth.so.10 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6ce47 g_simple_async_result_complete libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0xc50aa - libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6ce47 g_simple_async_result_complete libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0xbb53e - libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6ce47 g_simple_async_result_complete libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6cf49 - libgio-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47aa4 g_main_context_iteration libglib-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x97cfc g_application_run libgio-2.0.so.0 -
:6ae0031d7fdb1cffa9c48428695a1a47f5a43b96 0x7b72 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=hel-stefan.lan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/stefan/keyring-aVHDGn
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=stefan
:USERNAME=stefan
:MAIL=/var/spool/mail/stefan
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/stefan
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=898
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/stefan
:SHLVL=1
:LOGNAME=stefan
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-WTkIhX6C1g,guid=42acc34bde25eb0ead147e300000001e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/stefan
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-stefan-yePFLf/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/910,unix/unix:/tmp/.ICE-unix/910
:GPG_AGENT_INFO=/run/user/stefan/keyring-aVHDGn/gpg:0:1
:SSH_AUTH_SOCK=/run/user/stefan/keyring-aVHDGn/ssh
:LC_TIME=de_DE.utf8
:LC_NUMERIC=de_DE.utf8
:LC_MONETARY=de_DE.utf8
:LC_MEASUREMENT=de_DE.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/bluetooth-properties.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5979
:DESKTOP_STARTUP_ID=gnome-shell-1122-hel-stefan.lan-gnome-control-center-15_TIME7183728

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31429                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31429                31429                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/stefan/.xsession-errors
:pos:	19275
:flags:	0102002
:2:/home/stefan/.xsession-errors
:pos:	19275
:flags:	0102002
:3:socket:[91054]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[91057]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[91061]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	0100002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:/dev/rfkill
:pos:	0
:flags:	0104002

smolt_data:
:
:
:Allgemein
:=================================
:UUID: d5cd951e-dcd3-4345-95f8-70b9ef9b8e58
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: x86_64
:BogoMIPS: 4189.65
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Core(TM)2 Duo CPU     T8100  @ 2.10GHz
:CPU-Stepping: 6
:CPU Familie: 6
:CPU-Modellnummer: 23
:Anzahl der CPUs: 2
:CPU-Geschwindigkeit: 2101
:Systemspeicher: 3946
:System-Swap: 499
:Anbieter: LENOVO
:System: 8933FNG ThinkPad R61
:Form-Faktor: Notebook
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux aktiviert: 0
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:10752:6058:8371) pci, agpgart-intel, HOST/PCI, T61
:(5348:5779:6058:8405) pci, tg3, ETHERNET, NetLink BCM5787M Gigabit Ethernet PCI Express
:(32902:10302:6058:8361) pci, i801_smbus, SERIAL, ThinkPad T61
:(32902:10280:6058:8360) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller
:(32902:10261:6058:8357) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(32902:10307:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:9288:6058:8366) pci, None, PCI/PCI, ThinkPad T61
:(32902:10309:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10289:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10288:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10290:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10294:6058:8363) pci, ehci_hcd, USB, ThinkPad T61
:(32902:10298:6058:8363) pci, ehci_hcd, USB, ThinkPad T61
:(32902:16944:32902:4368) pci, iwl4965, NETWORK, Lenovo ThinkPad T51
:(32902:10754:6058:8373) pci, i915, VIDEO, T61
:(32902:10755:6058:8373) pci, None, VIDEO, T61
:(32902:10303:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10305:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10311:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10315:6058:8364) pci, snd_hda_intel, MULTIMEDIA, ThinkPad T61
:(32902:10292:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10293:6058:8362) pci, uhci_hcd, USB, ThinkPad T60
:(4480:1426:6058:8394) pci, r592, BASE, ThinkPad T61
:(4480:2130:6058:8395) pci, None, BASE, xD-Picture Card Controller
:(4480:1142:6058:8390) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(4480:2098:6058:8391) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:6058:8392) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda7 / ext4 4096 4096 3918671 2105370 1908762 983040 802650 802650
:/dev/sda8 /home ext4 4096 4096 44124964 6687002 4477940 11051008 10013820 10013820
:

var_log_messages:
:May 29 05:32:51 hel-stefan abrt[1683]: Saved core dump of pid 1668 (/usr/bin/gnome-control-center) to /var/spool/abrt/ccpp-2012-05-29-05:32:50-1668 (42254336 bytes)
:May 29 05:33:10 hel-stefan abrt[1718]: Saved core dump of pid 1712 (/usr/bin/gnome-control-center) to /var/spool/abrt/ccpp-2012-05-29-05:33:10-1712 (42106880 bytes)
:May 29 09:42:45 hel-stefan abrt[2470]: Saved core dump of pid 2465 (/usr/bin/gnome-control-center) to /var/spool/abrt/ccpp-2012-05-29-09:42:45-2465 (42127360 bytes)
:May 29 10:15:22 hel-stefan abrt[3268]: Saved core dump of pid 3263 (/usr/bin/gnome-control-center) to /var/spool/abrt/ccpp-2012-05-29-10:15:22-3263 (41963520 bytes)
:May 29 10:26:23 hel-stefan abrt[5147]: Saved core dump of pid 5141 (/usr/bin/gnome-control-center) to /var/spool/abrt/ccpp-2012-05-29-10:26:23-5141 (41963520 bytes)
:May 29 11:11:52 hel-stefan abrt[5985]: Saved core dump of pid 5979 (/usr/bin/gnome-control-center) to /var/spool/abrt/ccpp-2012-05-29-11:11:52-5979 (42106880 bytes)
Comment 1 Stefan Hellermann 2012-05-29 05:30:40 EDT
Created attachment 587361 [details]
File: backtrace
Comment 2 Stefan Hellermann 2012-05-29 05:30:42 EDT
Created attachment 587362 [details]
File: maps
Comment 3 Stefan Hellermann 2012-05-29 05:30:45 EDT
Created attachment 587363 [details]
File: dso_list
Comment 4 Stefan Hellermann 2012-05-29 05:30:47 EDT
Created attachment 587364 [details]
File: build_ids
Comment 5 Bob Kromonos Achten 2012-05-31 01:47:16 EDT
Trying to connect with a bluetooth a2dp headset

backtrace_rating: 4
Package: control-center-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Bruno Felipe Arndt 2012-06-04 08:14:07 EDT
Trying to connect the BH-503 Bluetooth headset

backtrace_rating: 4
Package: control-center-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 James Heather 2012-06-22 05:54:35 EDT
Had just paired Pure-Fi Mobile bluetooth speakers with my PC, and tried to turn them on and start using them.

backtrace_rating: 4
Package: control-center-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Thiago 2012-06-23 13:14:41 EDT
Trying to connect to motorola S305 headset through bluetooth-applet

backtrace_rating: 4
Package: control-center-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Murray Cumming 2012-07-07 15:42:46 EDT
Clicking the Connection toggle switch to On, in the Bluetooth control panel, after selecting a device (a MM100 headset).

backtrace_rating: 4
Package: control-center-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Justin Richards 2012-07-26 10:38:15 EDT
Turned connection off on a Sony DR-BT101 bluetooth headset.

backtrace_rating: 4
Package: control-center-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Alan Hamilton 2012-11-25 22:48:34 EST
This is actually from the gnome-bluetooth package. 

The crash is being caused by disconnect_callback() in bluetooth-client.c catching an error but the error->message field is NULL. g_debug() crashes on the NULL.

This appears to ultimately come from device_call_disconnect_finish() calling g_dbus_proxy_call_finish() in bluetooth-client-glue.c.

I'm not sure why it's getting a NULL, or if that's allowed. It might help to print out the other GError fields (domain and code) and see what they are.
Comment 12 Thiago 2013-01-18 14:20:59 EST
I'm not experiencing this bug after upgrading to Fedora 18 (control-center-3.6.3-1.fc18 and gnome-bluetooth-3.6.1-2.fc18)
Comment 13 Fedora End Of Life 2013-07-03 17:20:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-07-31 18:20:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.